# warpstream demo

## warpstream demo

The `warpstream demo` subcommand creates a temporary WarpStream account, provisions a local WarpStream cluster (writing to memory by default), and provisions a producer client to send data to the Agents.

The following table displays the available `warpstream demo` arguments.

| Argument     | Description                                                                              |
| ------------ | ---------------------------------------------------------------------------------------- |
| -bucketURL   | Object storage bucket URL for new writes                                                 |
| -httpPort    | Port to run HTTP server on (default 8080)                                                |
| -kafkaPort   | Port to run Kafka server on (default 9092)                                               |
| -metadataURL | URL for WarpStream service (default "<https://api.playground.us-east-1.warpstream.com>") |
| -timeout     | End demo after this duration has elapsed (default 1h0m0s)                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-demo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
